#include <iostream>

int main() { 
    
    int n;
    int l;

    std::cin >> n >> l;
    int *arr = new int[n];
    for(int i = 0; i < n; i++) {
        std::cin >> arr[i];
    }

    for(int i = 0; i < n; i++) {
        if(arr[i] <= l) {
            std::cout << i+1 << std::endl;
            return 0;
        }
    }

    std::cout << -1 << std::endl;
    return 0;
}